/*
  AntiRight (c) 2002-2004 
  Jeffrey Bedard <jefbed@e-list.net>
 
  This file is part of AntiRight.

  AntiRight is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  AntiRight is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software Foundation,
  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/
#ifndef AR_TEXTEDIT_H
#define AR_TEXTEDIT_H

void
arshell_value_changed_cb();

void 
arshell_search_cb(Widget widget, 
		  XtPointer client_data, 
		  XtPointer call_data);

void 
arshell_print_cb();



void
arshell_text_return_cb(Widget parent_widget,
		       XtPointer client_data,
		       XtPointer call_data);

void
arshell_save_work_area();

void
arshell_create_text_work_area(Widget parent_widget,
			      struct antiright_menubar_structure* menubar);

void
arshell_set_work_area_text_from_buffer(char* buffer_string);

int
arshell_get_file_size(char* filename_string);

void
arshell_read_into_text_area(int file_size_int, 
			    FILE* file_pointer);

void
arshell_open_file_in_work_area(char* filename_string);

void
arshell_create_default_text_label(Widget form_widget, 
				  char* label_string);

Widget
arshell_create_default_text_field(Widget mainwindow_widget,
				  char* return_string);

void
arshell_check_text_entry_sub_arguments(Widget text_widget,
				       int* counter_int,
				       char** argv);

void
arshell_set_work_area_from_stdin();


void
arshell_create_default_text_entry(Widget widget_row_widget,
				  int* counter_int,
				  char** argv);

#endif /* AR_TEXTEDIT_H */
